POST /resources/resetpassword
Use this endpoint to reset the password for a resource. The resource will receive a temporary password that you can use for authentication and set a new password using the update resource endpoint.
The entire flow:
- Call [POST] /v2/resources/resetpassword with your email in a JSON body, like this:
json{
"email": "my@email.com"
}
-
You should receive an email with a temporary password. Use this password to authenticate using the [POST] /auth endpoint. In that response there will be a api-token which you need to use for subsequent authentication.
-
Last step is to call [PUT] /v2/resources/me and set the new password for your user/resource. Note that this endpoint is gated and you need to set the appropriate "Authorization" header to access it, using your e-mail and the API-token from the previous step.
Endpoint
POST https://api.timekit.io/v2/resources/resetpassword
Parameters
| Name | In | Type | Required | Default | Description |
|---|---|---|---|---|---|
email |
body | string | yes | Email of the user/resource you want to reset the password for |